<html>
    <head>
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <title>Hint</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="css/modal.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <link rel="manifest" href="manifest.json">
        <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
        </script>
        <style>
            body {
                margin: 0;
            }
            #nav-bar {
                height: 104px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));;
            }
            #nav-text {
                position: absolute;
                height: 30px;
                width: 20vw;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 40vw;
                margin-top: 40px;
                display: flex;
                justify-content: center;
            }
            .fa-chevron-left {
                font-size: 25px;
                margin-top: 13.1px;
                margin-left: 12px;
            }
            #icon_hint {
                height: 28.95px;
                width: 30px;
                /* background-color: #000; */
                transform: rotate(180deg);
                background-image: url(hint.png);
                background-repeat: no-repeat;
                background-size: cover;
            }
            #hint_hint {
                /* padding-left: 317px;
                margin-top: 39.1px; */
                display: flex;
                flex-direction: row-reverse;
                justify-content: space-between;
                padding: 28px;
            }
            #hint-number {
                height: 25px;
                width: 25px;
                background-color: #FFF;
                border-radius: 50%;
                position: absolute;
                z-index: 1;
                top: -11px;
                right: -11px;
                display: flex;
                justify-content: center;
                align-items: center;
            }
            #tmp-5 {
                position: relative;
                margin-top: 10px;
            }
            #hint-number-title {
                color: #000;
                font-family: Montserrat;
                font-size: 15px;
                font-weight: 700;
                line-height: 18px;
                text-align: center;
            }
            #img {
                height: 131.95px;
                width: 137px;
                background-image: url(hint_2.jpg);
                /* transform: rotate(180deg); */
                background-repeat: no-repeat;
                background-size: cover;
            }
            #tmp {
                display: flex;
                justify-content: center;
                margin-top: 33px;
                margin-bottom: 24.05px;
            }
            .hint {
                color: #000;
                font-family: Montserrat;
                font-size: 20px;
                letter-spacing: 0.87px;
                line-height: 24px;
                text-align: center;
            }
            #bold {
                margin: 0;
            }
            #tmp2 {
                display: flex;
                /* justify-content: space-around; */
                align-items: center;
                justify-content: center;
            }
            #minus {
                height: 34px;
                width: 34px;
                border-radius: 10px;
                background: linear-gradient(90deg, #FF8132 0%, #FF6838 100%);
                outline: none !important;
            }
            #plus {
                height: 34px;
                width: 34px;
                border-radius: 10px;
                background: linear-gradient(90deg, #FF8132 0%, #FF6838 100%);
                outline: none !important;
            }
            #hint-count {
                box-sizing: border-box;
                height: 45px;
                width: 104.25px;
                border-radius: 10px;
                border: 3px solid #FF6E36;
                margin-right: 24.38px;
                margin-left: 24.38px;   
                display: flex;
                justify-content: center;
                align-items: center;
                color: #000;
                font-family: Montserrat;
                font-size: 20px;
                font-weight: 700;
                line-height: 24px;
                text-align: center;
            }
            #hint-score {
                box-sizing: border-box;
                height: 45px;
                width: 104.25px;
                border-radius: 10px;
                border: 3px solid #FF6E36;
                display: flex;
                justify-content: center;
                align-items: center;
                color: #000;
                font-family: Montserrat;
                font-size: 20px;
                font-weight: 700;
                line-height: 24px;
                text-align: center;
                display: flex;
                flex-direction: row;
            }
            #title {
                margin-bottom: 23px;
            }
            #title2 {
                margin: 0;
                height: 48px;
                width: 67px;
                color: #000;
                font-family: Montserrat;
                font-size: 20px;
                font-weight: 700;
                line-height: 24px;
                text-align: center;
                margin-right: 8px;
            }
            #tmp4 {
                display: flex;
                justify-content: center;

            }
            #tmp3 {
                margin-bottom: 30px;
            }
            #solih {
                height: 45px;
                width: 94px;
                border-radius: 10px;
                background-color: #FF6E36;
                display: flex;
                justify-content: center;
                align-items: center;
                color: #000;
                font-family: Montserrat;
                font-size: 20px;
                font-weight: 700;
                line-height: 24px;
                text-align: center;
                outline: none !important;
            }
            #tmp5 {
                margin-top: 30.75px;
                display: flex;
                justify-content: center;
            }
            /* loading css */
            /* .loading {
                margin: center;
                margin-top: 50%;
                max-width: 50%;
                line-height: 1.4;
                font-size: 1.2rem;
                font-weight: bold;
                text-align: center; 
            }
            .loading__author {
                font-weight: normal;
                font-size: 0.9rem;
                color: rgba(189,189,189 ,1);
                margin: 0.6rem 0 2rem 0;
                display: block;
            }
            .loading__anim {
                width: 35px;
                height: 35px;
                display: inline-block;
                border: 5px solid rgba(189,189,189 ,0.25);
                border-left-color: #FF6239;
                border-top-color:#FF6239;
                border-radius: 50%;
                animation: spin 600ms infinite linear;
            }
            @keyframes spin {
                to {
                    transform: rotate(360deg)
                }
            } */
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">Hint</div>
            <div id="hint_hint">
                <div id="tmp-5">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <!-- <section class="loading" id='loader'>
                    Уншиж байна.
                    <span class="loading__author"> - Түр хүлээнэ үү...</span>
                    <span class="loading__anim"></span>
                </section> -->
                <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
        </div>
        <div id="tmp">
            <div id="img"></div>
        </div>
        <div id="title">
            <div class="hint">Танд яг одоо </div>
            <h1 class="hint" id='bold'></h1>
            <div class="hint"> оноо байна.</div>
            <div class="hint">Та 50 оноог 1 hint болгох</div>
            <div class="hint">боломжтой.</div>
        </div>
        <div id="tmp3">
            <div id="tmp2">
                <button id='minus' onclick="minus()" >-</button>
                <div id="hint-count">0</div>
                <button id='plus' onclick="plus()" >+</button>
            </div>
        </div>
        <div id="tmp4">
            <h1 id='title2' >Солих оноо</h1>
            <div id="hint-score">0</div>
        </div>
        <div id="tmp5">
            <button id='solih' onclick="solih()" >Солих</button>
        </div>
        <div id="reset-modal" class="modal">
            <div class="modal-content">
                <h1 id='bord_text'></h1>
                <p id="text_2"></p>
                <div style="display: flex; flex-direction: row" >
                    <div id="action_2">
                        <button id='no_btn' onclick="no()" style="width: 270px;">
                            <p id='y_t' >OK</p>
                        </button>
                    </div>
                    <!-- <div id="action_1">
                        <button id='yes_btn' onclick="yes()">
                            <p id = 'n_t'>Тийм</p>
                        </button>
                    </div> -->
                </div>
            </div>
        </div>
        <script>
            // document.getElementById('action_1').hidden = true;
            var DB = firebase.database(), niit_onoo;
            DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                niit_onoo = snapshot.val();
                document.getElementById('bold').innerHTML = Number(niit_onoo);

                console.log('test3');
            })
            document.getElementById('action_2').style.marginRight = "135px";
            document.getElementById('no_btn').style.width = "270px";
            document.getElementById('no_btn').style.borderBottomRightRadius = "10px";

            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
            });
            function back_icon() {
                window.history.back();
            }
            function minus() {
                if(document.getElementById('hint-count').innerHTML != 0) {
                    document.getElementById('hint-count').innerHTML = Number(document.getElementById('hint-count').innerHTML) - 1;
                    document.getElementById('hint-score').innerHTML = Number(document.getElementById('hint-score').innerHTML) - 50;
                }
            }
            function plus() {
                document.getElementById('hint-count').innerHTML = Number(document.getElementById('hint-count').innerHTML) + 1;
                document.getElementById('hint-score').innerHTML = Number(document.getElementById('hint-score').innerHTML) + 50;
            }
            function solih() {
                document.getElementById('reset-modal').style.display = 'block';
                // DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                //     niit_onoo = snapshot.val();
                //     console.log('test3');
                // }).then(() => {
                    if(Number(document.getElementById('bold').innerHTML) >= Number(document.getElementById('hint-score').innerHTML)) {
                        document.getElementById('bord_text').innerHTML = 'Success';
                        document.getElementById('text_2').innerHTML = ' Таны hint амжилттай нэмэгдлээ!';
                        DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                            console.log('test');
                            // alert('Tanii HINT amjilttai nemegdlee !!');
                            console.log(Number(document.getElementById('hint-score').innerHTML));
                            DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).set(Number(document.getElementById('bold').innerHTML) - Number(document.getElementById('hint-score').innerHTML));        
                            console.log(snapshot.val());
                            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).set(Number(snapshot.val()) + Number(document.getElementById('hint-count').innerHTML));
                            document.getElementById('hint-number-title').innerHTML = Number(document.getElementById('hint-number-title').innerHTML) + Number(document.getElementById('hint-count').innerHTML);
                            document.getElementById('bold').innerHTML = Number(document.getElementById('bold').innerHTML) - Number(document.getElementById('hint-score').innerHTML);
                            // niit_onoo = Number(document.getElementById('bold').innerHTML) - Number(document.getElementById('hint-score').innerHTML);
                            document.getElementById('hint-count').innerHTML = 0;
                            document.getElementById('hint-score').innerHTML = 0;
                        });
                        // DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                        //     document.getElementById('hint-number-title').innerHTML = snapshot.val();
                        // });
                    } else {
                        document.getElementById('bord_text').innerHTML = 'Уучлаарай';
                        document.getElementById('text_2').innerHTML = ' Таны оноо хүрэхгүй байна!';
                    }
                // });
            }
            function no() {
                document.getElementById('reset-modal').style.display = 'none';
                // document.getElementById('action_1').hidden = false;  
                // document.getElementById('no_btn').removeAttribute('style');
                // document.getElementById('action_2').removeAttribute('style');
                // document.getElementById('yes_btn').onclick = yes;

            }

        </script>
    </body>
</html>